#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	pygobject

Distribution:	CCux Linux
Packager:	Karsten Brockmann  <arcam@ccux-linux.de>

Summary:	Python bindings for GObject
Name:		python%{PVER}-%{original_name}
Version:	2.21.5
Release:	1
License:	GNU/LGPL
URL:		http://www.pygtk.org/
Group:		Development/Python
Source0:	%{original_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Provides:	PyGObject = %{version}-%{release}
Obsoletes:	PyGObject <= %{version}-%{release}
Obsoletes:	python25-pygobject <= %{version}-%{release}

BuildRequires: python%{PVER}-devel
BuildRequires: python%{PVER}-pycairo-devel

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
GObject is a object system library used by GTK+ and GStreamer.
PyGObject provides a convenient wrapper for the GObject+ library
for use in Python programs, and takes care of many of the boring
details such as managing memory and type casting.
When combined with PyGTK, PyORBit and gnome-python, it can be
used to write full featured Gnome applications.

%package	devel
Summary:	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Provides:	PyGObject-devel = %{version}-%{release}
Obsoletes:	PyGObject-devel <= %{version}-%{release}
Obsoletes:	python25-pygobject-devel <= %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
PYTHON=%_bindir/%{__python}
export PYTHON
./configure \
--prefix=/usr
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_sitelib}/gtk-2.0
%{python_sitelib}/pygtk.p*
%{_bindir}/pygobject-codegen-2.0
%{_datadir}/pygobject/2.0
%{_datadir}/pygobject/xsl
%{_libdir}/libpyglib-2.0-python%{PYVER}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/pygtk-2.0/pyglib.h
%{_includedir}/pygtk-2.0/pygobject.h
%{_pkgconfig}/pygobject-2.0.pc
%{_datadir}/gtk-doc/html/pygobject
%{_libdir}/libpyglib-2.0-python%{PYVER}.la
%{_libdir}/libpyglib-2.0-python%{PYVER}.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.21.5-1
- Version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.20.0-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.20.0-1
- Version update, build against python25-2.5.4-3
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.16.1-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.15.4-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.14.1-1
- Version update
* Sun Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.3-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.1-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.0-1
- Initial Release
